/**
 * Copyright 2006 mapeasy.sf.net.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * ͼ
 *
 * @author Tim.Wu Michael.Young
 */
function Overlay(point, icon, shadowIcon) {
	
	// Inherit from BaseModel
	BaseModel.apply(this);
	
	/** Χ */
	this.bound;
	
	/**  */
	this.coord = point.getCoord();
	
	/** ͼ */
	this.icon = icon;
	
	/** Ӱͼ */
	this.shadowIcon = shadowIcon;

	this.events = new Array();

	//~ Method
	this.getCoord = function() {
		return this.coord;
	}

	this.getIcon = function() {
		return this.icon;
	}
	
	this.getShadowIcon = function() {
		return this.shadowIcon;
	}

	this.getId = function() {
		if (this.id) {
			return this.id;
		}
	}
}

Overlay.zIndex = 10;

/**
 * ͼ
 *
 * @author Tim.Wu Michael.Young
 */
function Icon(width, height, src) {
	this.width = width;
	this.height = height;
	this.src = src;
}


/**
 * 
 *
 * @author Tim.Wu Michael.Young
 *
 * @param point ǵ
 * @param markerIcon ͼ
 */
function Marker(point, iconSet) {
	
	// Inherit from Overlay
	Overlay.apply(this, new Array(point, iconSet[0], iconSet[1]));
	
	this.id = new Date().getTime();

	this.info;

	//~ Method
	this.setInfo = function(info) {
		this.info = info;
	}

	this.getInfo = function() {
		return this.info;
	}
}

Marker.LARGE = new Array(new Icon(20, 34, imgBaseDir + "marker_large.png"), new Icon(37, 34, imgBaseDir + "marker_large_shadow.png"));
Marker.SMALL = new Array(new Icon(12, 20, imgBaseDir + "marker_small.png"), new Icon(22, 20, imgBaseDir + "marker_small_shadow.png"));